org.apache.commons.jelly.tags.junit

## Class AssertTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport
    - - org.apache.commons.jelly.tags.junit.AssertTagSupport
      - - org.apache.commons.jelly.tags.junit.AssertTag

All Implemented Interfaces:
  Tag

    public class AssertTag
    extends AssertTagSupport

Performs an assertion that a given boolean expression, or XPath expression is true. If the expression returns false then this test fails.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`AssertTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setTest(Expression test)` Sets the boolean expression to evaluate.
`void` `setXpath(org.jaxen.XPath xpath)` Sets the boolean XPath expression to evaluate.

### Methods inherited from class org.apache.commons.jelly.tags.junit.AssertTagSupport

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, fail, failNotEquals`

### Methods inherited from class org.apache.commons.jelly.xpath.XPathTagSupport

`getXPathContext`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertTag

    public AssertTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### setTest

    public void setTest(Expression test)

Sets the boolean expression to evaluate. If this expression returns true then the test succeeds otherwise if it returns false then the text will fail with the content of the tag being the error message.

#### setXpath

    public void setXpath(org.jaxen.XPath xpath)

Sets the boolean XPath expression to evaluate. If this expression returns true then the test succeeds otherwise if it returns false then the text will fail with the content of the tag being the error message.